santuario-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Helio Cola Rodrigues <helio.c...@gmail.com>
Subject Re: Issue building for Solaris
Date Tue, 13 Sep 2011 21:54:31 GMT
Hi Scott.

After compiling everything with the same compiler everything was working
fine.

Actually I tried to compile xmlsecurity with OPENSSL 0.9.7 and 1.0.0.
The xmlsecurity compiles successfully with both version but when I compile
and run the simpleValidate.cpp (xsec/samples/simpleValidate.cpp) the
verification of my digital signature fails, but the same code works with
OPENSSL 1.0.0.

Is there any requirement on xmlsecurity 1.6.1 to use OPENSSL 1.0.0?


Thanks,
/Helio

On Fri, Sep 9, 2011 at 5:14 PM, Helio Cola Rodrigues
<helio.cola@gmail.com>wrote:

> Yes! I'm sure!
> I'm sure they are not!
>
> Good catch...
>
> Thanks a lot for your help... Xerces is going to take a while to recompile!
>
> /Helio
>
>
> On Fri, Sep 9, 2011 at 4:46 PM, Cantor, Scott <cantor.2@osu.edu> wrote:
>
>> On 9/9/11 4:37 PM, "Helio Cola Rodrigues" <helio.cola@gmail.com> wrote:
>>
>> >In fact LD_LIBRARY_PATH was pointing to a different xerces library.I
>> >fixed that but the same problem is still happening.
>>
>> Are you sure Xerces was built with the same compiler?
>>
>> -- Scott
>>
>>
>

Mime
View raw message